<?php
/******************************************************************************
* Admin.php                                                                   *
*******************************************************************************
* SMF: Simple Machines Forum                                                  *
* Open-Source Project Inspired by Zef Hemel (zef@zefhemel.com)                *
* =========================================================================== *
* Software Version:           SMF 1.1                                         *
* Software by:                Simple Machines (http://www.simplemachines.org) *
* Copyright 2001-2005 by:     Lewis Media (http://www.lewismedia.com)         *
* Support, News, Updates at:  http://www.simplemachines.org                   *
*******************************************************************************
* This program is free software; you may redistribute it and/or modify it     *
* under the terms of the provided license as published by Lewis Media.        *
*                                                                             *
* This program is distributed in the hope that it is and will be useful,      *
* but WITHOUT ANY WARRANTIES; without even any implied warranty of            *
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.                        *
*                                                                             *
* See the "license.txt" file for details of the Simple Machines license.      *
* The latest version can always be found at http://www.simplemachines.org.    *
******************************************************************************/
if (!defined('SMF'))
	die('Hacking attempt...');

/*
	This file is used to display and edit the member map

	void MemberMap()
		- loads function for the sub-action

	void view()
		- shows the map and the images that belong on it

	void edit()
		- shows the page that is used to place your pin

	void edit2()
		- updates the database with the new pin position

	void mm_admin()
		- controls the admin functions of the member map
*/


// Where do we go from here?
function MemberMap()
{
	global $context, $txt;

	// load the template
	loadTemplate('MemberMap');

	$context['page_title'] = $context['forum_name'] . ' : ' . $txt['mm_mm'];


	// find the proper sub-action
	$subActions = array
	(
		'view' => 'view',
		'edit' => 'edit',
		'edit2' => 'edit2',
		'admin' => 'admin',
	);

	if (!isset($_REQUEST['sa']) || !isset($subActions[$_REQUEST['sa']]))
	{
		view();
	}
	else
	{
		$subActions[$_REQUEST['sa']]();
	}
}

// Look at who has placed their pins
function view()
{
	global $db_prefix, $context, $ID_MAP;

	$context['sub_template'] = 'view';

	// are they allowed to view the member map?
	isAllowedTo('membermap_view');

	// blank array
	$context['pins'] = array();

	// get all the information on the maps available
	loadMaps();


	// get all the pins
	$request = db_query("
		SELECT p.ID_MAP, p.ID_MEMBER, p.xPin, p.yPin, p.country, p.city, mem.gender, mem.realName, c.name
		FROM {$db_prefix}members AS mem
			LEFT JOIN ({$db_prefix}location_country AS c, {$db_prefix}mm_pins AS p) ON (c.c2code = p.country)
		WHERE (p.xPin BETWEEN {$context['maps'][$ID_MAP]['xStart']} AND {$context['maps'][$ID_MAP]['xEnd']})
			AND (p.yPin BETWEEN {$context['maps'][$ID_MAP]['yStart']} AND {$context['maps'][$ID_MAP]['yEnd']})
			AND p.ID_MEMBER = mem.ID_MEMBER
		ORDER BY c.name, mem.realName", __FILE__, __LINE__);
	while ($row = mysql_fetch_assoc($request))
	{
		$context['pins'][$row['ID_MEMBER']] = array
		(
			'ID_MAP' => $row['ID_MAP'],
			'xPin' => round(($row['xPin'] - $context['maps'][$ID_MAP]['xStart']) * $context['maps'][$ID_MAP]['scale']) - 4,
			'yPin' => round(($row['yPin'] - $context['maps'][$ID_MAP]['yStart']) * $context['maps'][$ID_MAP]['scale']) - 4,
			'ccode' => $row['country'],
			'country' => $row['name'],
			'city' => $row['city'],
			'gender' => $row['gender'],
			'name' => $row['realName'],
			'text' => (!empty($row['city']) ? $row['city'] . ', ' : '') . implode(', ', array($row['name'], $row['realName'])),
		);
	}

	obExit();
}

// View the map to place a pin
function edit()
{
	global $db_prefix, $context, $user_info, $ID_MAP, $ID_MEMBER;

	// are they allowed to edit the member map?
	isAllowedTo('membermap_edit');

	$context['sub_template'] = 'edit';

	// get the users pin
	$request = db_query("
		SELECT p.ID_MAP, p.ID_MEMBER, p.xPin, p.yPin, p.country, p.city, m.xStart, m.yStart, m.scale, mem.gender, mem.realName
		FROM {$db_prefix}mm_pins AS p, {$db_prefix}mm_maps AS m, {$db_prefix}members AS mem
		WHERE p.ID_MAP = m.ID_MAP
			AND p.ID_MEMBER = $ID_MEMBER
			AND p.ID_MEMBER = mem.ID_MEMBER
		LIMIT 1", __FILE__, __LINE__);
	if ($row = mysql_fetch_assoc($request))
	{
		$ID_MAP = $row['ID_MAP'];
		$context['mypin'] = array
		(
			'ID_MEMBER' => $row['ID_MEMBER'],
			'xPin' => round(($row['xPin'] - $row['xStart']) * $row['scale']) - 4,
			'yPin' => round(($row['yPin'] - $row['yStart']) * $row['scale']) - 4,
			'xCur' => $row['xPin'],
			'yCur' => $row['yPin'],
			'country' => $row['country'],
			'city' => $row['city'],
			'gender' => $row['gender'],
			'name' => $row['realName'],
		);
	}
	else
	{
		$context['mypin'] = array
		(
			'ID_MEMBER' => '',
			'xPin' => "''",
			'yPin' => "''",
			'xCur' => '',
			'yCur' => '',
			'country' => '',
			'city' => '',
			'gender' => 0,
			'name' => '',
		);
	}


	// check if the ip2country table exists
	$request = db_query("SHOW TABLES LIKE '{$db_prefix}location_ip2country'", __FILE__, __LINE__);
	if (mysql_num_rows($request) != 0)
	{
		// if no pin set find their country/map based on IP address
		if (empty($context['mypin']['country']))
		{
			$request = db_query("
				SELECT c.c2code, c.ID_MAP
				FROM {$db_prefix}location_ip2country AS ip2c
					LEFT JOIN {$db_prefix}location_country AS c ON (c.c2code = ip2c.c2code)
				WHERE INET_ATON('{$user_info['ip']}') BETWEEN ip2c.ip_from AND ip2c.ip_to
				LIMIT 1", __FILE__, __LINE__);
			list($context['mypin']['country'], $ID_MAP) = mysql_fetch_row($request);
		}
	}


	// get all the information on the maps available
	loadMaps();


	// get all the countries
	$request = db_query("
		SELECT c2code, name
		FROM {$db_prefix}location_country
		ORDER BY name", __FILE__, __LINE__);
	while ($row = mysql_fetch_assoc($request))
	{
		$context['countries'][$row['c2code']] = array
		(
			'name' => $row['name'],
			'selected' => $row['c2code'] == $context['mypin']['country'] ? ' selected="selected"' : '',
		);
	}

	obExit();
}

// Update the pins location in the database
function edit2()
{
	global $db_prefix, $ID_MEMBER, $txt;

	// are they allowed to edit the member map?
	isAllowedTo('membermap_edit');

	// We are saving the pin.
	if (isset($_POST['save']))
	{
		if ($_POST['scale'] > 1)
		{
			$_POST['scale'] = $_POST['scale'];
		}

		// Check if the pin has been set.
		if ((empty($_POST['xPin']) || empty($_POST['yPin'])) && (empty($_POST['xCur']) || empty($_POST['yCur'])))
		{
			fatal_error($txt['mm_error_placepin']);
		}

		// Use the old coordinates.
		if ((empty($_POST['xPin']) && empty($_POST['yPin'])) && (!empty($_POST['xCur']) && !empty($_POST['yCur'])))
		{
			$xPin = $_POST['xCur'];
			$yPin = $_POST['yCur'];
		}
		// Use the new coordinates.
		else
		{
			if ($_POST['xPin'] < 0 || $_POST['xPin'] > $_POST['wMap'] || $_POST['yPin'] < 0 || $_POST['yPin'] > $_POST['hMap'])
			{
				fatal_error($txt['mm_error_coordinates']);
			}

			$xPin = $_POST['xPin'] / $_POST['scale'] + $_POST['xMap'];
			$yPin = $_POST['yPin'] / $_POST['scale'] + $_POST['yMap'];
		}

		db_query("
			REPLACE INTO {$db_prefix}mm_pins SET
				ID_MEMBER = $ID_MEMBER,
				ID_MAP = {$_POST['ID_MAP']},
				xPin = $xPin,
				yPin = $yPin,
				country = '{$_POST['country']}',
				city = '{$_POST['city']}'", __FILE__, __LINE__);
	}
	// We are removing the pin.
	else
	{
		db_query("
			DELETE FROM {$db_prefix}mm_pins
			WHERE ID_MEMBER = $ID_MEMBER", __FILE__, __LINE__);
	}

	// Back to member map view page...
	redirectexit('action=mm;mid=' . $_POST['mid']);
}

// load all the information for the maps
function loadMaps()
{
	global $db_prefix, $context, $txt, $ID_MAP;

	$request = db_query("
		SELECT ID_MAP, mapFile, mapName, xStart, xEnd, yStart, yEnd, scale
		FROM {$db_prefix}mm_maps
		WHERE visible <> 0
		ORDER BY mapName", __FILE__, __LINE__);

	if (mysql_num_rows($request) == 0)
	{
		fatal_error($txt['mm_error_nomaps']);
	}

	if (empty($ID_MAP))
	{
		$ID_MAP = getID_MAP();
	}

	while ($row = mysql_fetch_assoc($request))
	{
		$rs = db_query("
			SELECT COUNT(*)
			FROM {$db_prefix}mm_pins
			WHERE (xPin BETWEEN {$row['xStart']} AND {$row['xEnd']})
				AND (yPin BETWEEN {$row['yStart']} AND {$row['yEnd']})", __FILE__, __LINE__);
		list($pins) = mysql_fetch_row($rs);

		$context['maps'][$row['ID_MAP']] = array
		(
			'mapFile' => $row['mapFile'],
			'mapName' => $row['mapName'],
			'xStart' => $row['xStart'],
			'xEnd' => $row['xEnd'],
			'yStart' => $row['yStart'],
			'yEnd' => $row['yEnd'],
			'pins' => $pins,
			'scale' => $row['scale'],
			'selected' => $ID_MAP == $row['ID_MAP'] ? ' selected="selected"' : '',
		);

		if ($ID_MAP == $row['ID_MAP'])
		{
			$context['map'] = array
			(
				'ID_MAP' => $row['ID_MAP'],
				'mapFile' => $row['mapFile'],
				'width' => ($row['xEnd'] - $row['xStart']) * $row['scale'],
				'height' => ($row['yEnd'] - $row['yStart']) * $row['scale'],
				'xStart' => $row['xStart'],
				'yStart' => $row['yStart'],
				'scale' => $row['scale'],
			);
		}
	}
}

// the admin section of the member map
function admin ()
{
	global $txt, $db_prefix, $context, $modSettings;

	// setup the page
	isAllowedTo('admin_forum');
	adminIndex('mm');
	loadTemplate('MemberMap');
	$context['sub_template'] = 'mm_admin';


	// we are saving the data
	if (isset($_POST['mapName']))
	{
		$mm_default = array_key_exists($_POST['mm_default'], $_POST['mapName']) ? $_POST['mm_default'] : key($_POST['mapName']);
		$modSettings['mm_default'] = $mm_default;

		db_query("
			REPLACE INTO {$db_prefix}settings SET
				value = '$mm_default',
				variable = 'mm_default'", __FILE__, __LINE__);


		foreach ($_POST['mapName'] as $ID_MAP => $mapName)
		{
			$visible = isset($_POST['visible'][$ID_MAP]) ? 1 : 0;

			db_query("
				UPDATE {$db_prefix}mm_maps SET
					mapName = '$mapName',
					visible = $visible
				WHERE ID_MAP = $ID_MAP", __FILE__, __LINE__);
		}
	}


	// get all the maps
	$request = db_query("
		SELECT ID_MAP, mapFile, mapName, xStart, xEnd, yStart, yEnd, scale, visible
		FROM {$db_prefix}mm_maps", __FILE__, __LINE__);
	while ($row = mysql_fetch_assoc($request))
	{
		$context['mm_maps'][] = $row;
	}
}


// gets the correct ID_MAP value
function getID_MAP ()
{
	global $db_prefix, $modSettings;


	if (isset($_REQUEST['mid']))
	{
		return $_REQUEST['mid'];
	}
	if (isset($modSettings['mm_default']))
	{
		return $modSettings['mm_default'];
	}

	$request = db_query("
		SELECT ID_MAP
		FROM {$db_prefix}mm_maps
		WHERE visible = 1
		LIMIT 1", __FILE__, __LINE__);
	list($ID_MAP) = mysql_fetch_row($request);
	return $ID_MAP;
}
?>