<?
/*****************************************************************
* install.php                                                    *
******************************************************************
* By:            Gobalopper (http://www.dune2k.com)              *
* Copyright:     Jesse Reid (Gobalopper@Dune2k.com)              *
*****************************************************************/

// create the maps table
db_query("
CREATE TABLE IF NOT EXISTS {$db_prefix}mm_maps
(
	ID_MAP SMALLINT(5) unsigned NOT NULL auto_increment,
	mapFile VARCHAR(50) NOT NULL default '',
	mapName VARCHAR(50) NOT NULL default '',
	xStart SMALLINT(5) unsigned NOT NULL default '0',
	xEnd SMALLINT(5) unsigned NOT NULL default '0',
	yStart SMALLINT(5) unsigned NOT NULL default '0',
	yEnd SMALLINT(5) unsigned NOT NULL default '0',
	scale DECIMAL(3,2) unsigned NOT NULL default '1.00',
	visible TINYINT(1) NOT NULL default '1',
	PRIMARY KEY (ID_MAP),
	UNIQUE KEY mapFile (mapFile)
) TYPE=MyISAM", __FILE__, __LINE__);

// create the pins table
db_query("
CREATE TABLE IF NOT EXISTS {$db_prefix}mm_pins
(
	ID_MEMBER MEDIUMINT(8) unsigned NOT NULL default '0',
	ID_MAP SMALLINT(5) unsigned NOT NULL default '0',
	xPin SMALLINT(5) unsigned NOT NULL default '0',
	yPin SMALLINT(5) unsigned NOT NULL default '0',
	country CHAR(2) NOT NULL default '',
	city VARCHAR(50) default '',
	UNIQUE KEY ID_MEMBER (ID_MEMBER),
	KEY country (country),
	KEY ID_MAP (ID_MAP)
) TYPE=MyISAM", __FILE__, __LINE__);

// clear the maps table
db_query("DELETE FROM {$db_prefix}mm_maps", __FILE__, __LINE__);

// insert the maps
db_query("INSERT INTO {$db_prefix}mm_maps VALUES (1, 'World.gif', 'World', 0, 6000, 0, 3044, 0.13, 1)", __FILE__, __LINE__);

// create the country table
db_query("
CREATE TABLE IF NOT EXISTS {$db_prefix}location_country (
	c2code char(2) NOT NULL default '',
	name varchar(42) NOT NULL default '',
	ID_MAP SMALLINT(5) unsigned NOT NULL default 0,
	PRIMARY KEY (c2code)
) TYPE=MyISAM", __FILE__, __LINE__);

// delete all the old entries
db_query("DELETE FROM {$db_prefix}location_country", __FILE__, __LINE__);

// insert the countries and the map they belong to
db_query("INSERT INTO {$db_prefix}location_country VALUES ('af', 'Afghanistan', 5)", __FILE__, __LINE__);
db_query("INSERT INTO {$db_prefix}location_country VALUES ('al', 'Albania', 6)", __FILE__, __LINE__);
db_query("INSERT INTO {$db_prefix}location_country VALUES ('dz', 'Algeria', 2)", __FILE__, __LINE__);
db_query("INSERT INTO {$db_prefix}location_country VALUES ('as', 'American Samoa', 1)", __FILE__, __LINE__);
db_query("INSERT INTO {$db_prefix}location_country VALUES ('ad', 'Andorra', 6)", __FILE__, __LINE__);
db_query("INSERT INTO {$db_prefix}location_country VALUES ('ao', 'Angola', 2)", __FILE__, __LINE__);
db_query("INSERT INTO {$db_prefix}location_country VALUES ('ai', 'Anguilla', 7)", __FILE__, __LINE__);
db_query("INSERT INTO {$db_prefix}location_country VALUES ('aq', 'Antarctica', 1)", __FILE__, __LINE__);
db_query("INSERT INTO {$db_prefix}location_country VALUES ('ag', 'Antigua and Barbuda', 7)", __FILE__, __LINE__);
db_query("INSERT INTO {$db_prefix}location_country VALUES ('ar', 'Argentina', 9)", __FILE__, __LINE__);
db_query("INSERT INTO {$db_prefix}location_country VALUES ('am', 'Armenia', 11)", __FILE__, __LINE__);
db_query("INSERT INTO {$db_prefix}location_country VALUES ('aw', 'Aruba', 7)", __FILE__, __LINE__);
db_query("INSERT INTO {$db_prefix}location_country VALUES ('au', 'Australia', 3)", __FILE__, __LINE__);
db_query("INSERT INTO {$db_prefix}location_country VALUES ('at', 'Austria', 6)", __FILE__, __LINE__);
db_query("INSERT INTO {$db_prefix}location_country VALUES ('az', 'Azerbaijan', 11)", __FILE__, __LINE__);
db_query("INSERT INTO {$db_prefix}location_country VALUES ('bs', 'Bahamas', 7)", __FILE__, __LINE__);
db_query("INSERT INTO {$db_prefix}location_country VALUES ('bh', 'Bahrain', 11)", __FILE__, __LINE__);
db_query("INSERT INTO {$db_prefix}location_country VALUES ('bd', 'Bangladesh', 5)", __FILE__, __LINE__);
db_query("INSERT INTO {$db_prefix}location_country VALUES ('bb', 'Barbados', 7)", __FILE__, __LINE__);
db_query("INSERT INTO {$db_prefix}location_country VALUES ('by', 'Belarus', 6)", __FILE__, __LINE__);
db_query("INSERT INTO {$db_prefix}location_country VALUES ('be', 'Belgium', 6)", __FILE__, __LINE__);
db_query("INSERT INTO {$db_prefix}location_country VALUES ('bz', 'Belize', 7)", __FILE__, __LINE__);
db_query("INSERT INTO {$db_prefix}location_country VALUES ('bj', 'Benin', 2)", __FILE__, __LINE__);
db_query("INSERT INTO {$db_prefix}location_country VALUES ('bm', 'Bermuda', 10)", __FILE__, __LINE__);
db_query("INSERT INTO {$db_prefix}location_country VALUES ('bt', 'Bhutan', 11)", __FILE__, __LINE__);
db_query("INSERT INTO {$db_prefix}location_country VALUES ('bo', 'Bolivia', 9)", __FILE__, __LINE__);
db_query("INSERT INTO {$db_prefix}location_country VALUES ('ba', 'Bosnia and Herzegovina', 6)", __FILE__, __LINE__);
db_query("INSERT INTO {$db_prefix}location_country VALUES ('bw', 'Botswana', 2)", __FILE__, __LINE__);
db_query("INSERT INTO {$db_prefix}location_country VALUES ('bv', 'Bouvet Island', 1)", __FILE__, __LINE__);
db_query("INSERT INTO {$db_prefix}location_country VALUES ('br', 'Brazil', 9)", __FILE__, __LINE__);
db_query("INSERT INTO {$db_prefix}location_country VALUES ('io', 'British Indian Ocean Territory', 1)", __FILE__, __LINE__);
db_query("INSERT INTO {$db_prefix}location_country VALUES ('bn', 'Brunei Darussalam', 5)", __FILE__, __LINE__);
db_query("INSERT INTO {$db_prefix}location_country VALUES ('bg', 'Bulgaria', 6)", __FILE__, __LINE__);
db_query("INSERT INTO {$db_prefix}location_country VALUES ('bf', 'Burkina Faso', 2)", __FILE__, __LINE__);
db_query("INSERT INTO {$db_prefix}location_country VALUES ('bi', 'Burundi', 2)", __FILE__, __LINE__);
db_query("INSERT INTO {$db_prefix}location_country VALUES ('kh', 'Cambodia', 5)", __FILE__, __LINE__);
db_query("INSERT INTO {$db_prefix}location_country VALUES ('cm', 'Cameroon', 2)", __FILE__, __LINE__);
db_query("INSERT INTO {$db_prefix}location_country VALUES ('ca', 'Canada', 4)", __FILE__, __LINE__);
db_query("INSERT INTO {$db_prefix}location_country VALUES ('cv', 'Cape Verde', 1)", __FILE__, __LINE__);
db_query("INSERT INTO {$db_prefix}location_country VALUES ('ky', 'Cayman Islands', 7)", __FILE__, __LINE__);
db_query("INSERT INTO {$db_prefix}location_country VALUES ('cf', 'Central African Republic', 2)", __FILE__, __LINE__);
db_query("INSERT INTO {$db_prefix}location_country VALUES ('td', 'Chad', 2)", __FILE__, __LINE__);
db_query("INSERT INTO {$db_prefix}location_country VALUES ('cl', 'Chile', 9)", __FILE__, __LINE__);
db_query("INSERT INTO {$db_prefix}location_country VALUES ('cn', 'China', 5)", __FILE__, __LINE__);
db_query("INSERT INTO {$db_prefix}location_country VALUES ('cx', 'Christmas Island', 1)", __FILE__, __LINE__);
db_query("INSERT INTO {$db_prefix}location_country VALUES ('cc', 'Cocos (Keeling) Islands', 1)", __FILE__, __LINE__);
db_query("INSERT INTO {$db_prefix}location_country VALUES ('co', 'Colombia', 9)", __FILE__, __LINE__);
db_query("INSERT INTO {$db_prefix}location_country VALUES ('km', 'Comoros', 2)", __FILE__, __LINE__);
db_query("INSERT INTO {$db_prefix}location_country VALUES ('cg', 'Congo, Republic of the', 2)", __FILE__, __LINE__);
db_query("INSERT INTO {$db_prefix}location_country VALUES ('cd', 'Congo, The Democratic Republic of the', 2)", __FILE__, __LINE__);
db_query("INSERT INTO {$db_prefix}location_country VALUES ('ck', 'Cook Islands', 1)", __FILE__, __LINE__);
db_query("INSERT INTO {$db_prefix}location_country VALUES ('cr', 'Costa Rica', 7)", __FILE__, __LINE__);
db_query("INSERT INTO {$db_prefix}location_country VALUES ('ci', 'Cte d\'Ivoire', 2)", __FILE__, __LINE__);
db_query("INSERT INTO {$db_prefix}location_country VALUES ('hr', 'Croatia', 6)", __FILE__, __LINE__);
db_query("INSERT INTO {$db_prefix}location_country VALUES ('cu', 'Cuba', 7)", __FILE__, __LINE__);
db_query("INSERT INTO {$db_prefix}location_country VALUES ('cy', 'Cyprus', 11)", __FILE__, __LINE__);
db_query("INSERT INTO {$db_prefix}location_country VALUES ('cz', 'Czech Republic', 6)", __FILE__, __LINE__);
db_query("INSERT INTO {$db_prefix}location_country VALUES ('dk', 'Denmark', 6)", __FILE__, __LINE__);
db_query("INSERT INTO {$db_prefix}location_country VALUES ('dj', 'Djibouti', 2)", __FILE__, __LINE__);
db_query("INSERT INTO {$db_prefix}location_country VALUES ('dm', 'Dominica', 7)", __FILE__, __LINE__);
db_query("INSERT INTO {$db_prefix}location_country VALUES ('do', 'Dominican Republic', 7)", __FILE__, __LINE__);
db_query("INSERT INTO {$db_prefix}location_country VALUES ('ec', 'Ecuador', 9)", __FILE__, __LINE__);
db_query("INSERT INTO {$db_prefix}location_country VALUES ('eg', 'Egypt', 11)", __FILE__, __LINE__);
db_query("INSERT INTO {$db_prefix}location_country VALUES ('sv', 'El Salvador', 7)", __FILE__, __LINE__);
db_query("INSERT INTO {$db_prefix}location_country VALUES ('gq', 'Equatorial Guinea', 2)", __FILE__, __LINE__);
db_query("INSERT INTO {$db_prefix}location_country VALUES ('er', 'Eritrea', 2)", __FILE__, __LINE__);
db_query("INSERT INTO {$db_prefix}location_country VALUES ('ee', 'Estonia', 6)", __FILE__, __LINE__);
db_query("INSERT INTO {$db_prefix}location_country VALUES ('et', 'Ethiopia', 2)", __FILE__, __LINE__);
db_query("INSERT INTO {$db_prefix}location_country VALUES ('fk', 'Falkland Islands (Islas Malvinas)', 9)", __FILE__, __LINE__);
db_query("INSERT INTO {$db_prefix}location_country VALUES ('fo', 'Faroe Islands', 6)", __FILE__, __LINE__);
db_query("INSERT INTO {$db_prefix}location_country VALUES ('fj', 'Fiji', 3)", __FILE__, __LINE__);
db_query("INSERT INTO {$db_prefix}location_country VALUES ('fi', 'Finland', 6)", __FILE__, __LINE__);
db_query("INSERT INTO {$db_prefix}location_country VALUES ('fr', 'France', 6)", __FILE__, __LINE__);
db_query("INSERT INTO {$db_prefix}location_country VALUES ('gf', 'French Guiana', 2)", __FILE__, __LINE__);
db_query("INSERT INTO {$db_prefix}location_country VALUES ('pf', 'French Polynesia', 1)", __FILE__, __LINE__);
db_query("INSERT INTO {$db_prefix}location_country VALUES ('tf', 'French Southern Territories', 1)", __FILE__, __LINE__);
db_query("INSERT INTO {$db_prefix}location_country VALUES ('ga', 'Gabon', 2)", __FILE__, __LINE__);
db_query("INSERT INTO {$db_prefix}location_country VALUES ('gm', 'Gambia', 2)", __FILE__, __LINE__);
db_query("INSERT INTO {$db_prefix}location_country VALUES ('ge', 'Georgia', 6)", __FILE__, __LINE__);
db_query("INSERT INTO {$db_prefix}location_country VALUES ('de', 'Germany', 6)", __FILE__, __LINE__);
db_query("INSERT INTO {$db_prefix}location_country VALUES ('gh', 'Ghana', 2)", __FILE__, __LINE__);
db_query("INSERT INTO {$db_prefix}location_country VALUES ('gi', 'Gibraltar', 6)", __FILE__, __LINE__);
db_query("INSERT INTO {$db_prefix}location_country VALUES ('gr', 'Greece', 6)", __FILE__, __LINE__);
db_query("INSERT INTO {$db_prefix}location_country VALUES ('gl', 'Greenland', 1)", __FILE__, __LINE__);
db_query("INSERT INTO {$db_prefix}location_country VALUES ('gd', 'Grenada', 7)", __FILE__, __LINE__);
db_query("INSERT INTO {$db_prefix}location_country VALUES ('gp', 'Guadeloupe', 7)", __FILE__, __LINE__);
db_query("INSERT INTO {$db_prefix}location_country VALUES ('gu', 'Guam', 1)", __FILE__, __LINE__);
db_query("INSERT INTO {$db_prefix}location_country VALUES ('gt', 'Guatemala', 7)", __FILE__, __LINE__);
db_query("INSERT INTO {$db_prefix}location_country VALUES ('gn', 'Guinea', 2)", __FILE__, __LINE__);
db_query("INSERT INTO {$db_prefix}location_country VALUES ('gw', 'Guinea-Bissau', 2)", __FILE__, __LINE__);
db_query("INSERT INTO {$db_prefix}location_country VALUES ('gy', 'Guyana', 9)", __FILE__, __LINE__);
db_query("INSERT INTO {$db_prefix}location_country VALUES ('ht', 'Haiti', 7)", __FILE__, __LINE__);
db_query("INSERT INTO {$db_prefix}location_country VALUES ('hm', 'Heard Island and McDonald Islands', 1)", __FILE__, __LINE__);
db_query("INSERT INTO {$db_prefix}location_country VALUES ('va', 'Vatican City State', 6)", __FILE__, __LINE__);
db_query("INSERT INTO {$db_prefix}location_country VALUES ('hn', 'Honduras', 7)", __FILE__, __LINE__);
db_query("INSERT INTO {$db_prefix}location_country VALUES ('hk', 'Hong Kong', 5)", __FILE__, __LINE__);
db_query("INSERT INTO {$db_prefix}location_country VALUES ('hu', 'Hungary', 6)", __FILE__, __LINE__);
db_query("INSERT INTO {$db_prefix}location_country VALUES ('is', 'Iceland', 6)", __FILE__, __LINE__);
db_query("INSERT INTO {$db_prefix}location_country VALUES ('in', 'India', 5)", __FILE__, __LINE__);
db_query("INSERT INTO {$db_prefix}location_country VALUES ('id', 'Indonesia', 5)", __FILE__, __LINE__);
db_query("INSERT INTO {$db_prefix}location_country VALUES ('ir', 'Iran, Islamic Republic of', 11)", __FILE__, __LINE__);
db_query("INSERT INTO {$db_prefix}location_country VALUES ('iq', 'Iraq', 11)", __FILE__, __LINE__);
db_query("INSERT INTO {$db_prefix}location_country VALUES ('ie', 'Ireland, Republic of', 6)", __FILE__, __LINE__);
db_query("INSERT INTO {$db_prefix}location_country VALUES ('il', 'Israel', 11)", __FILE__, __LINE__);
db_query("INSERT INTO {$db_prefix}location_country VALUES ('it', 'Italy', 6)", __FILE__, __LINE__);
db_query("INSERT INTO {$db_prefix}location_country VALUES ('jm', 'Jamaica', 7)", __FILE__, __LINE__);
db_query("INSERT INTO {$db_prefix}location_country VALUES ('jp', 'Japan', 5)", __FILE__, __LINE__);
db_query("INSERT INTO {$db_prefix}location_country VALUES ('jo', 'Jordan', 11)", __FILE__, __LINE__);
db_query("INSERT INTO {$db_prefix}location_country VALUES ('kz', 'Kazakhstan', 11)", __FILE__, __LINE__);
db_query("INSERT INTO {$db_prefix}location_country VALUES ('ke', 'Kenya', 2)", __FILE__, __LINE__);
db_query("INSERT INTO {$db_prefix}location_country VALUES ('ki', 'Kiribati', 1)", __FILE__, __LINE__);
db_query("INSERT INTO {$db_prefix}location_country VALUES ('kp', 'Korea, Democratic People\'s Republic of', 5)", __FILE__, __LINE__);
db_query("INSERT INTO {$db_prefix}location_country VALUES ('kr', 'Korea, Republic of', 5)", __FILE__, __LINE__);
db_query("INSERT INTO {$db_prefix}location_country VALUES ('kw', 'Kuwait', 11)", __FILE__, __LINE__);
db_query("INSERT INTO {$db_prefix}location_country VALUES ('kg', 'Kyrgyzstan', 11)", __FILE__, __LINE__);
db_query("INSERT INTO {$db_prefix}location_country VALUES ('la', 'Lao People\'s Democratic Republic', 11)", __FILE__, __LINE__);
db_query("INSERT INTO {$db_prefix}location_country VALUES ('lv', 'Latvia', 6)", __FILE__, __LINE__);
db_query("INSERT INTO {$db_prefix}location_country VALUES ('lb', 'Lebanon', 11)", __FILE__, __LINE__);
db_query("INSERT INTO {$db_prefix}location_country VALUES ('ls', 'Lesotho', 2)", __FILE__, __LINE__);
db_query("INSERT INTO {$db_prefix}location_country VALUES ('lr', 'Liberia', 2)", __FILE__, __LINE__);
db_query("INSERT INTO {$db_prefix}location_country VALUES ('ly', 'Libyan Arab Jamahiriya', 2)", __FILE__, __LINE__);
db_query("INSERT INTO {$db_prefix}location_country VALUES ('li', 'Liechtenstein', 6)", __FILE__, __LINE__);
db_query("INSERT INTO {$db_prefix}location_country VALUES ('lt', 'Lithuania', 6)", __FILE__, __LINE__);
db_query("INSERT INTO {$db_prefix}location_country VALUES ('lu', 'Luxembourg', 6)", __FILE__, __LINE__);
db_query("INSERT INTO {$db_prefix}location_country VALUES ('mo', 'Macao', 5)", __FILE__, __LINE__);
db_query("INSERT INTO {$db_prefix}location_country VALUES ('mk', 'Macedonia, The Former Yugoslav Republic of', 6)", __FILE__, __LINE__);
db_query("INSERT INTO {$db_prefix}location_country VALUES ('mg', 'Madagascar', 2)", __FILE__, __LINE__);
db_query("INSERT INTO {$db_prefix}location_country VALUES ('mw', 'Malawi', 2)", __FILE__, __LINE__);
db_query("INSERT INTO {$db_prefix}location_country VALUES ('my', 'Malaysia', 5)", __FILE__, __LINE__);
db_query("INSERT INTO {$db_prefix}location_country VALUES ('mv', 'Maldives', 5)", __FILE__, __LINE__);
db_query("INSERT INTO {$db_prefix}location_country VALUES ('ml', 'Mali', 2)", __FILE__, __LINE__);
db_query("INSERT INTO {$db_prefix}location_country VALUES ('mt', 'Malta', 6)", __FILE__, __LINE__);
db_query("INSERT INTO {$db_prefix}location_country VALUES ('mh', 'Marshall Islands', 1)", __FILE__, __LINE__);
db_query("INSERT INTO {$db_prefix}location_country VALUES ('mq', 'Martinique', 6)", __FILE__, __LINE__);
db_query("INSERT INTO {$db_prefix}location_country VALUES ('mr', 'Mauritania', 2)", __FILE__, __LINE__);
db_query("INSERT INTO {$db_prefix}location_country VALUES ('mu', 'Mauritius', 1)", __FILE__, __LINE__);
db_query("INSERT INTO {$db_prefix}location_country VALUES ('yt', 'Mayotte', 2)", __FILE__, __LINE__);
db_query("INSERT INTO {$db_prefix}location_country VALUES ('mx', 'Mexico', 7)", __FILE__, __LINE__);
db_query("INSERT INTO {$db_prefix}location_country VALUES ('fm', 'Micronesia, Federated States of', 1)", __FILE__, __LINE__);
db_query("INSERT INTO {$db_prefix}location_country VALUES ('md', 'Moldova, Republic of', 6)", __FILE__, __LINE__);
db_query("INSERT INTO {$db_prefix}location_country VALUES ('mc', 'Monaco', 6)", __FILE__, __LINE__);
db_query("INSERT INTO {$db_prefix}location_country VALUES ('mn', 'Mongolia', 11)", __FILE__, __LINE__);
db_query("INSERT INTO {$db_prefix}location_country VALUES ('ms', 'Montserrat', 7)", __FILE__, __LINE__);
db_query("INSERT INTO {$db_prefix}location_country VALUES ('ma', 'Morocco', 2)", __FILE__, __LINE__);
db_query("INSERT INTO {$db_prefix}location_country VALUES ('mz', 'Mozambique', 2)", __FILE__, __LINE__);
db_query("INSERT INTO {$db_prefix}location_country VALUES ('mm', 'Myanmar', 5)", __FILE__, __LINE__);
db_query("INSERT INTO {$db_prefix}location_country VALUES ('na', 'Namibia', 2)", __FILE__, __LINE__);
db_query("INSERT INTO {$db_prefix}location_country VALUES ('nr', 'Nauru', 1)", __FILE__, __LINE__);
db_query("INSERT INTO {$db_prefix}location_country VALUES ('np', 'Nepal', 5)", __FILE__, __LINE__);
db_query("INSERT INTO {$db_prefix}location_country VALUES ('nl', 'Netherlands', 6)", __FILE__, __LINE__);
db_query("INSERT INTO {$db_prefix}location_country VALUES ('an', 'Netherlands Antilles', 7)", __FILE__, __LINE__);
db_query("INSERT INTO {$db_prefix}location_country VALUES ('nc', 'New Caledonia', 1)", __FILE__, __LINE__);
db_query("INSERT INTO {$db_prefix}location_country VALUES ('nz', 'New Zealand', 3)", __FILE__, __LINE__);
db_query("INSERT INTO {$db_prefix}location_country VALUES ('ni', 'Nicaragua', 7)", __FILE__, __LINE__);
db_query("INSERT INTO {$db_prefix}location_country VALUES ('ne', 'Niger', 2)", __FILE__, __LINE__);
db_query("INSERT INTO {$db_prefix}location_country VALUES ('ng', 'Nigeria', 2)", __FILE__, __LINE__);
db_query("INSERT INTO {$db_prefix}location_country VALUES ('nu', 'Niue', 1)", __FILE__, __LINE__);
db_query("INSERT INTO {$db_prefix}location_country VALUES ('nf', 'Norfolk Island', 1)", __FILE__, __LINE__);
db_query("INSERT INTO {$db_prefix}location_country VALUES ('mp', 'Northern Mariana Islands', 1)", __FILE__, __LINE__);
db_query("INSERT INTO {$db_prefix}location_country VALUES ('no', 'Norway', 6)", __FILE__, __LINE__);
db_query("INSERT INTO {$db_prefix}location_country VALUES ('om', 'Oman', 11)", __FILE__, __LINE__);
db_query("INSERT INTO {$db_prefix}location_country VALUES ('pk', 'Pakistan', 5)", __FILE__, __LINE__);
db_query("INSERT INTO {$db_prefix}location_country VALUES ('pw', 'Palau', 5)", __FILE__, __LINE__);
db_query("INSERT INTO {$db_prefix}location_country VALUES ('ps', 'Palestinian Territory, Occupied', 11)", __FILE__, __LINE__);
db_query("INSERT INTO {$db_prefix}location_country VALUES ('pa', 'Panama', 7)", __FILE__, __LINE__);
db_query("INSERT INTO {$db_prefix}location_country VALUES ('pg', 'Papua New Guinea', 3)", __FILE__, __LINE__);
db_query("INSERT INTO {$db_prefix}location_country VALUES ('py', 'Paraguay', 9)", __FILE__, __LINE__);
db_query("INSERT INTO {$db_prefix}location_country VALUES ('pe', 'Peru', 9)", __FILE__, __LINE__);
db_query("INSERT INTO {$db_prefix}location_country VALUES ('ph', 'Philippines', 5)", __FILE__, __LINE__);
db_query("INSERT INTO {$db_prefix}location_country VALUES ('pn', 'Pitcairn', 1)", __FILE__, __LINE__);
db_query("INSERT INTO {$db_prefix}location_country VALUES ('pl', 'Poland', 6)", __FILE__, __LINE__);
db_query("INSERT INTO {$db_prefix}location_country VALUES ('pt', 'Portugal', 6)", __FILE__, __LINE__);
db_query("INSERT INTO {$db_prefix}location_country VALUES ('pr', 'Puerto Rico', 7)", __FILE__, __LINE__);
db_query("INSERT INTO {$db_prefix}location_country VALUES ('qa', 'Qatar', 11)", __FILE__, __LINE__);
db_query("INSERT INTO {$db_prefix}location_country VALUES ('re', 'Reunion', 1)", __FILE__, __LINE__);
db_query("INSERT INTO {$db_prefix}location_country VALUES ('ro', 'Romania', 6)", __FILE__, __LINE__);
db_query("INSERT INTO {$db_prefix}location_country VALUES ('ru', 'Russian Federation', 8)", __FILE__, __LINE__);
db_query("INSERT INTO {$db_prefix}location_country VALUES ('rw', 'Rwanda', 2)", __FILE__, __LINE__);
db_query("INSERT INTO {$db_prefix}location_country VALUES ('sh', 'Saint Helena', 2)", __FILE__, __LINE__);
db_query("INSERT INTO {$db_prefix}location_country VALUES ('kn', 'Saint Kitts and Nevis', 7)", __FILE__, __LINE__);
db_query("INSERT INTO {$db_prefix}location_country VALUES ('lc', 'Saint Lucia', 7)", __FILE__, __LINE__);
db_query("INSERT INTO {$db_prefix}location_country VALUES ('pm', 'Saint Pierre and Miquelon', 4)", __FILE__, __LINE__);
db_query("INSERT INTO {$db_prefix}location_country VALUES ('vc', 'Saint Vincent and the Grenadines', 7)", __FILE__, __LINE__);
db_query("INSERT INTO {$db_prefix}location_country VALUES ('ws', 'Samoa', 1)", __FILE__, __LINE__);
db_query("INSERT INTO {$db_prefix}location_country VALUES ('sm', 'San Marino', 6)", __FILE__, __LINE__);
db_query("INSERT INTO {$db_prefix}location_country VALUES ('st', 'Sao Tome and Principe', 2)", __FILE__, __LINE__);
db_query("INSERT INTO {$db_prefix}location_country VALUES ('sa', 'Saudi Arabia', 5)", __FILE__, __LINE__);
db_query("INSERT INTO {$db_prefix}location_country VALUES ('sn', 'Senegal', 2)", __FILE__, __LINE__);
db_query("INSERT INTO {$db_prefix}location_country VALUES ('cs', 'Serbia and Montenegro', 6)", __FILE__, __LINE__);
db_query("INSERT INTO {$db_prefix}location_country VALUES ('sc', 'Seychelles', 1)", __FILE__, __LINE__);
db_query("INSERT INTO {$db_prefix}location_country VALUES ('sl', 'Sierra Leone', 2)", __FILE__, __LINE__);
db_query("INSERT INTO {$db_prefix}location_country VALUES ('sg', 'Singapore', 5)", __FILE__, __LINE__);
db_query("INSERT INTO {$db_prefix}location_country VALUES ('sk', 'Slovakia', 6)", __FILE__, __LINE__);
db_query("INSERT INTO {$db_prefix}location_country VALUES ('si', 'Slovenia', 6)", __FILE__, __LINE__);
db_query("INSERT INTO {$db_prefix}location_country VALUES ('sb', 'Solomon Islands', 3)", __FILE__, __LINE__);
db_query("INSERT INTO {$db_prefix}location_country VALUES ('so', 'Somalia', 2)", __FILE__, __LINE__);
db_query("INSERT INTO {$db_prefix}location_country VALUES ('za', 'South Africa', 2)", __FILE__, __LINE__);
db_query("INSERT INTO {$db_prefix}location_country VALUES ('gs', 'South Georgia and the South Sandwich Islands', 1)", __FILE__, __LINE__);
db_query("INSERT INTO {$db_prefix}location_country VALUES ('es', 'Spain', 6)", __FILE__, __LINE__);
db_query("INSERT INTO {$db_prefix}location_country VALUES ('lk', 'Sri Lanka', 5)", __FILE__, __LINE__);
db_query("INSERT INTO {$db_prefix}location_country VALUES ('sd', 'Sudan', 2)", __FILE__, __LINE__);
db_query("INSERT INTO {$db_prefix}location_country VALUES ('sr', 'Suriname', 2)", __FILE__, __LINE__);
db_query("INSERT INTO {$db_prefix}location_country VALUES ('sj', 'Svalbard and Jan Mayen', 6)", __FILE__, __LINE__);
db_query("INSERT INTO {$db_prefix}location_country VALUES ('sz', 'Swaziland', 2)", __FILE__, __LINE__);
db_query("INSERT INTO {$db_prefix}location_country VALUES ('se', 'Sweden', 6)", __FILE__, __LINE__);
db_query("INSERT INTO {$db_prefix}location_country VALUES ('ch', 'Switzerland', 6)", __FILE__, __LINE__);
db_query("INSERT INTO {$db_prefix}location_country VALUES ('sy', 'Syrian Arab Republic', 11)", __FILE__, __LINE__);
db_query("INSERT INTO {$db_prefix}location_country VALUES ('tw', 'Taiwan', 5)", __FILE__, __LINE__);
db_query("INSERT INTO {$db_prefix}location_country VALUES ('tj', 'Tajikistan', 11)", __FILE__, __LINE__);
db_query("INSERT INTO {$db_prefix}location_country VALUES ('tz', 'Tanzania, United Republic of', 2)", __FILE__, __LINE__);
db_query("INSERT INTO {$db_prefix}location_country VALUES ('th', 'Thailand', 11)", __FILE__, __LINE__);
db_query("INSERT INTO {$db_prefix}location_country VALUES ('tl', 'Timor-Leste', 5)", __FILE__, __LINE__);
db_query("INSERT INTO {$db_prefix}location_country VALUES ('tg', 'Togo', 2)", __FILE__, __LINE__);
db_query("INSERT INTO {$db_prefix}location_country VALUES ('tk', 'Tokelau', 1)", __FILE__, __LINE__);
db_query("INSERT INTO {$db_prefix}location_country VALUES ('to', 'Tonga', 1)", __FILE__, __LINE__);
db_query("INSERT INTO {$db_prefix}location_country VALUES ('tt', 'Trinidad and Tobago', 9)", __FILE__, __LINE__);
db_query("INSERT INTO {$db_prefix}location_country VALUES ('tn', 'Tunisia', 2)", __FILE__, __LINE__);
db_query("INSERT INTO {$db_prefix}location_country VALUES ('tr', 'Turkey', 11)", __FILE__, __LINE__);
db_query("INSERT INTO {$db_prefix}location_country VALUES ('tm', 'Turkmenistan', 11)", __FILE__, __LINE__);
db_query("INSERT INTO {$db_prefix}location_country VALUES ('tc', 'Turks and Caicos Islands', 7)", __FILE__, __LINE__);
db_query("INSERT INTO {$db_prefix}location_country VALUES ('tv', 'Tuvalu', 1)", __FILE__, __LINE__);
db_query("INSERT INTO {$db_prefix}location_country VALUES ('ug', 'Uganda', 2)", __FILE__, __LINE__);
db_query("INSERT INTO {$db_prefix}location_country VALUES ('ua', 'Ukraine', 6)", __FILE__, __LINE__);
db_query("INSERT INTO {$db_prefix}location_country VALUES ('ae', 'United Arab Emirates', 11)", __FILE__, __LINE__);
db_query("INSERT INTO {$db_prefix}location_country VALUES ('gb', 'United Kingdom', 6)", __FILE__, __LINE__);
db_query("INSERT INTO {$db_prefix}location_country VALUES ('us', 'United States', 10)", __FILE__, __LINE__);
db_query("INSERT INTO {$db_prefix}location_country VALUES ('um', 'United States Minor Outlying Islands', 1)", __FILE__, __LINE__);
db_query("INSERT INTO {$db_prefix}location_country VALUES ('uy', 'Uruguay', 9)", __FILE__, __LINE__);
db_query("INSERT INTO {$db_prefix}location_country VALUES ('uz', 'Uzbekistan', 11)", __FILE__, __LINE__);
db_query("INSERT INTO {$db_prefix}location_country VALUES ('vu', 'Vanuatu', 3)", __FILE__, __LINE__);
db_query("INSERT INTO {$db_prefix}location_country VALUES ('ve', 'Venezuela', 9)", __FILE__, __LINE__);
db_query("INSERT INTO {$db_prefix}location_country VALUES ('vn', 'Viet Nam', 5)", __FILE__, __LINE__);
db_query("INSERT INTO {$db_prefix}location_country VALUES ('vg', 'Virgin Islands, British', 7)", __FILE__, __LINE__);
db_query("INSERT INTO {$db_prefix}location_country VALUES ('vi', 'Virgin Islands, U.S.', 7)", __FILE__, __LINE__);
db_query("INSERT INTO {$db_prefix}location_country VALUES ('wf', 'Wallis and Futuna', 1)", __FILE__, __LINE__);
db_query("INSERT INTO {$db_prefix}location_country VALUES ('eh', 'Western Sahara', 2)", __FILE__, __LINE__);
db_query("INSERT INTO {$db_prefix}location_country VALUES ('ye', 'Yemen', 11)", __FILE__, __LINE__);
db_query("INSERT INTO {$db_prefix}location_country VALUES ('zm', 'Zambia', 2)", __FILE__, __LINE__);
db_query("INSERT INTO {$db_prefix}location_country VALUES ('zw', 'Zimbabwe', 2)", __FILE__, __LINE__);
?>